Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Std. Ed. v1.3.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## java.rmi
Class RemoteException

    java.lang.Object
      |
      +--java.lang.Throwable
            |
            +--java.lang.Exception
                  |
                  +--java.io.IOException
                        |
                        +--java.rmi.RemoteException

All Implemented Interfaces:
  Serializable

Direct Known Subclasses:
  AccessException, ActivateFailedException, ConnectException, ConnectIOException, ExportException, InvalidTransactionException, MarshalException, NoSuchObjectException, ServerError, ServerException, ServerRuntimeException, SkeletonMismatchException, SkeletonNotFoundException, StubNotFoundException, TransactionRequiredException, TransactionRolledbackException, UnexpectedException, UnknownHostException, UnmarshalException

public class RemoteException
extends IOException

A `RemoteException` is the common superclass for a number of communication-related exceptions that may occur during the execution of a remote method call. Each method of a remote interface, an interface that extends `java.rmi.Remote`, must list `RemoteException` in its throws clause.

Since:
  JDK1.1
See Also:
  Serialized Form

Field Summary
`Throwable` | `detail` Nested Exception to hold wrapped remote exception.

Constructor Summary
`RemoteException()` Constructs a `RemoteException` with no specified detail message.
`RemoteException(String s)` Constructs a `RemoteException` with the specified detail message.
`RemoteException(String s, Throwable ex)` Constructs a `RemoteException` with the specified detail message and nested exception.

Method Summary
`String` | `getMessage()` Returns the detail message, including the message from the nested exception if there is one.
`void` | `printStackTrace()` Prints the composite message to `System.err`.
`void` | `printStackTrace(PrintStream ps)` Prints the composite message and the embedded stack trace to the specified stream `ps`.
`void` | `printStackTrace(PrintWriter pw)` Prints the composite message and the embedded stack trace to the specified print writer `pw`.

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getLocalizedMessage, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### detail

    public Throwable detail

  Nested Exception to hold wrapped remote exception.
  Since:
    JDK1.1

Constructor Detail

### RemoteException

    public RemoteException()

  Constructs a `RemoteException` with no specified detail message.
  Since:
    JDK1.1

### RemoteException

    public RemoteException(String s)

  Constructs a `RemoteException` with the specified detail message.
  Parameters:
    `s` - the detail message
  Since:
    JDK1.1

### RemoteException

    public RemoteException(String s,
                           Throwable ex)

  Constructs a `RemoteException` with the specified detail message and nested exception.
  Parameters:
    `s` - the detail message
    `ex` - the nested exception
  Since:
    JDK1.1

Method Detail

### getMessage

    public String getMessage()

  Returns the detail message, including the message from the nested exception if there is one.
  Overrides:
    `getMessage` in class `Throwable`
  Since:
    JDK1.1

### printStackTrace

    public void printStackTrace(PrintStream ps)

  Prints the composite message and the embedded stack trace to the specified stream `ps`.
  Overrides:
    `printStackTrace` in class `Throwable`
  Parameters:
    `ps` - the print stream
  Since:
    1.2

### printStackTrace

    public void printStackTrace()

  Prints the composite message to `System.err`.
  Overrides:
    `printStackTrace` in class `Throwable`
  Since:
    1.2

### printStackTrace

    public void printStackTrace(PrintWriter pw)

  Prints the composite message and the embedded stack trace to the specified print writer `pw`.
  Overrides:
    `printStackTrace` in class `Throwable`
  Parameters:
    `pw` - the print writer
  Since:
    1.2

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Std. Ed. v1.3.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature
For further API reference and developer documentation, see Java 2 SDK SE Developer Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.

Java, Java 2D, and JDBC are trademarks or registered trademarks of Sun Microsystems, Inc. in the US and other countries.
Copyright 1993-2001 Sun Microsystems, Inc. 901 San Antonio Road
Palo Alto, California, 94303, U.S.A. All Rights Reserved.